@echo off

title Bamboo Lover Installer

:mainmenu
cls
echo "Press 1 to start install.."
echo "Press 2 to exit and cancel.."
echo.
set choice=
set /p choice=Type a number and press Enter to make selection.
if '%choice%'=='1' goto run01
if '%choice%'=='2' goto run02
echo '%choice%' is not valid please try again
pause
goto :mainmenu

:run01
echo.
echo Checking for necessary files..
echo.
if not exist graphics.drs goto :missing_file
if not exist filelist.txt goto :missing_listed
for /f %%i in (filelist.txt) do @if exist "%%i" (
@echo Found: %%i
) else (
@echo Missing: %%i
goto :missing_listed
)

echo.
echo Saving old graphics.drs to graphics.old ...
copy graphics.drs graphics.old /-Y
echo.
echo Running the setup..

drsbuild /r graphics.drs *.slp

echo.
echo Cleaning up..
del drsbuild.exe
del *.slp
del filelist.txt
goto :display

:missing_file
cls
echo ERROR: graphics.drs does not exist!
echo Make sure you are running this file in the \AoK\Data folder
echo.
echo Check readme.txt for more info
echo.
pause
goto :run02

:missing_listed
cls
echo ERROR: you are missing a necessary file!
echo Make sure you've extracted/copied ENTIRE contents of
echo bamboolover.zip to your \AoK\Data folder
echo.
echo Check readme.txt for more info
echo.
pause
goto :run02

:display
cls
echo.
echo       #################################################
echo       #                                               #
echo       #                                               #
echo       #             Bamboo Lover v1.0                 #
echo       #                                               #
echo       #    All trees replaced with bamboo graphic!    #
echo       #                                               #
echo       #  Original graphics.drs saved to graphics.old  #
echo       #                                               #
echo       #                                               #
echo       #                                               #
echo       #         Script by _TimZilla/SmotPoker         #
echo       #              Copyright (C) 2009               #
echo       #                                               #
echo       #              tmills86@gmail.com               #
echo       #                                               #
echo       #                                               #
echo       #            (.DRS) Builder Utility             #
echo       #       Copyright (C) 1997 Stoyan Ratchev       #
echo       #                                               #
echo       #################################################
pause
exit

:run02
cls
echo Bamboo Lover Installer will now exit.. Goodbye
pause
exit